package eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter;

import eu.ruekov.ruakij.LinkedBeaconTeleporters.Main;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;

import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class LinkedBeaconTeleporterItem extends LinkedBeaconTeleporter {
    // INFO: Safe to store as its always cloned by bukkit
    ItemStack item;

    public LinkedBeaconTeleporterItem(){
        // Create a new LinkedBeaconTeleporter
        super();

        this.item = Main.lbtManager.getItemStackFromLbtItem(this);
    }
    public LinkedBeaconTeleporterItem(String teleporterId, ItemStack item) {
        super(teleporterId);

        this.item = item;
    }
    public LinkedBeaconTeleporterItem(String teleporterId){
        super(teleporterId);

        this.item = Main.lbtManager.getItemStackFromLbtItem(this);
    }

    public ItemStack item(){
        return item;
    }


    // Conversion methods
    public static LinkedBeaconTeleporterItem getFromItemStack(ItemStack itemStack){
        return Main.lbtManager.getLbtItemFromItemStack(itemStack);
    }
}
