package eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.listener;

import eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.LinkedBeaconTeleporterItem;
import org.bukkit.Material;
import org.bukkit.event.inventory.PrepareItemCraftEvent;
import org.bukkit.inventory.CraftingInventory;
import org.bukkit.inventory.InventoryView;
import org.bukkit.inventory.ItemStack;

public class OnPrepareItemCraftEvent {

    public static void onPrepareItemCraftEvent(PrepareItemCraftEvent e){
        ItemStack[] matrix = e.getInventory().getMatrix();

        // Check if one of provided items is already LinkedBeaconTeleporterItem and use first if found
        LinkedBeaconTeleporterItem lbtItem = null;

        /*for (ItemStack item : matrix) {
            if(item == null) continue;
            lbtItem = LinkedBeaconTeleporterItem.getFromItemStack(item);
            if(lbtItem != null) break;
        }*/

        if(lbtItem == null){
            // If none is found, create new LinkedBeaconTeleporterItem and set as crafting-result
            lbtItem = new LinkedBeaconTeleporterItem();
        }

        ItemStack item = lbtItem.item();
        // Exactly 2
        item.setAmount(2);

        // Set as crafting-result
        e.getInventory().setResult(item);
    }
}
